com.fasterxml.jackson.databind.util

## Class RootNameLookup

- java.lang.Object
- - com.fasterxml.jackson.databind.util.RootNameLookup

All Implemented Interfaces:
  Serializable

    public class RootNameLookup
    extends Object
    implements Serializable

Helper class for caching resolved root names.

See Also:
  Serialized Form

### Field Summary

Fields
`protected LRUMap<ClassKey,com.fasterxml.jackson.core.io.SerializedString>` `_rootNames` For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

### Constructor Summary

Constructors
Constructor and Description
`RootNameLookup()`

### Method Summary

Methods
`com.fasterxml.jackson.core.io.SerializedString` `findRootName(Class<?> rootType, MapperConfig<?> config)`
`com.fasterxml.jackson.core.io.SerializedString` `findRootName(JavaType rootType, MapperConfig<?> config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _rootNames

    protected transient LRUMap<ClassKey,com.fasterxml.jackson.core.io.SerializedString> _rootNames

For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

### Constructor Detail

#### RootNameLookup

    public RootNameLookup()

### Method Detail

#### findRootName

    public com.fasterxml.jackson.core.io.SerializedString findRootName(JavaType rootType,
                                                              MapperConfig<?> config)

#### findRootName

    public com.fasterxml.jackson.core.io.SerializedString findRootName(Class<?> rootType,
                                                              MapperConfig<?> config)